body {
  margin: 0;
  padding: 0;
  background-image: linear-gradient(
    to right top,
    #7c2cd5,
    #7e2bdc,
    #812be2,
    #832ae9,
    #8529f0
  );
  background-repeat: no-repeat;
  height: 100vh;
}

.container {
  max-width: 900px;
  margin: 7em auto;
  display: flex;
}
.signup-container {
  background-color: white;
  margin: 0 auto;
  text-align: center;
  padding: 0 1em 1em 1em;
  border-radius: 10px;
}
.signup-container h1 {
  color: #7c2cd5;
}

#messageTag {
  margin: 0 auto;
  max-width: 300px;
}
#messageTag {
  display: none;
}
.message-error {
  color: red;
}
.message-success {
  color: green;
}
label {
  display: inline-block;
}
.input-conatiner {
  margin: 1em 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.input-conatiner input {
  display: block;
  margin: 1em 0;
  height: 35px;
  width: 300px;
  border: none;

  border-bottom: 1px #a5a5a5 solid;
}
.input-conatiner input[type="checkbox"] {
  box-shadow: none;
  height: 10px;
  width: 10px;
}

.input-conatiner input:focus,
.input-conatiner input:hover .input-conatiner {
  border-bottom: 1px #7c2cd5 solid;
  outline: none;
}

.input-conatiner input:focus::-webkit-input-placeholder {
  color: #7c2cd5;
  font-weight: bold;
}

.input-conatiner input:focus:-moz-placeholder {
  color: #7c2cd5;
  font-weight: bold;
}

.input-conatiner input:focus::-moz-placeholder {
  color: #7c2cd5;
  font-weight: bold;
}

.input-conatinerinput:focus:-ms-input-placeholder {
  color: #7c2cd5;
  font-weight: bold;
}

.signup-container button {
  width: 200px;
  padding: 0.5em;
  margin-bottom: 0.5em;
  color: white;
  border: none;
  border-radius: 10px;
  cursor: pointer;
  background-image: linear-gradient(
    to right top,
    #7c2cd5,
    #7e2bdc,
    #812be2,
    #832ae9,
    #8529f0
  );
}
.signup-container button:focus {
  outline: none;
}
.signup-container span {
  display: block;
  margin-top: 0.5em;
}
